Index: /extensions/LCAS/trunk/admin/LCAS_admin.php
===================================================================
--- /extensions/LCAS/trunk/admin/LCAS_admin.php	(revision 8270)
+++ /extensions/LCAS/trunk/admin/LCAS_admin.php	(revision 8271)
@@ -29,5 +29,5 @@
 $version = $plugin['version'];
 
-	if (isset($_POST['submit']) and !is_adviser() and isset($_POST['LCAS_Case_Sensitive']) and isset($_POST['LCAS_Accent_Sensitive']) )
+	if (isset($_POST['submit']) and !is_adviser() and isset($_POST['LCAS_Case_Sensitive']) and isset($_POST['LCAS_Accent_Sensitive']) and isset($_POST['LCAS_Mail']))
   {
 
@@ -38,4 +38,5 @@
       $_POST['LCAS_Case_Sensitive'],
       $_POST['LCAS_Accent_Sensitive'],
+      $_POST['LCAS_Mail'],
       $_POST['LCAS_MailText']);
 
@@ -89,5 +90,10 @@
 
 				pwg_query($query);
-		
+
+      if (isset($conf_LCAS[2]) and $conf_LCAS[2] = 'true')
+      {
+        LCAS_SendMail($lcas_UserToUpdate, $_POST['user-'.$lcas_UserToUpdate]);
+      }
+
 				array_push($page['infos'], l10n('LCAS_Info_userlist_username_renamed'));
     	}
@@ -97,5 +103,4 @@
     	}
     }
-
 
 
@@ -166,14 +171,19 @@
 
 
+// +-----------------------------------------------------------------------+
+// |                           templates init                              |
+// +-----------------------------------------------------------------------+
   $template->assign(
     array(
-    'LCAS_VERSION'                   => $version,
-    'LCAS_PATH'                      => LCAS_PATH,
-    'PWG_insensitive_case_logon'     => $conf['insensitive_case_logon']? 'true'              : 'false',
-		'LCAS_Case_Sensitive_TRUE'       => $conf_LCAS[0]=='true'          ? 'checked="checked"' : '' ,
-		'LCAS_Case_Sensitive_FALSE'      => $conf_LCAS[0]=='false'         ? 'checked="checked"' : '' ,
-		'LCAS_Accent_Sensitive_TRUE'     => $conf_LCAS[1]=='true'          ? 'checked="checked"' : '' ,
-		'LCAS_Accent_Sensitive_FALSE'    => $conf_LCAS[1]=='false'         ? 'checked="checked"' : '' ,
-    'LCAS_MAILTEXT'                  => $conf_LCAS[2]
+    'LCAS_VERSION'                  => $version,
+    'LCAS_PATH'                     => LCAS_PATH,
+    'PWG_insensitive_case_logon'    => $conf['insensitive_case_logon']? 'true'              : 'false',
+		'LCAS_Case_Sensitive_TRUE'      => $conf_LCAS[0]=='true'          ? 'checked="checked"' : '' ,
+		'LCAS_Case_Sensitive_FALSE'     => $conf_LCAS[0]=='false'         ? 'checked="checked"' : '' ,
+		'LCAS_Accent_Sensitive_TRUE'    => $conf_LCAS[1]=='true'          ? 'checked="checked"' : '' ,
+		'LCAS_Accent_Sensitive_FALSE'   => $conf_LCAS[1]=='false'         ? 'checked="checked"' : '' ,
+		'LCAS_MAIL_TRUE'                => $conf_LCAS[2]=='true'          ? 'checked="checked"' : '' ,
+		'LCAS_MAIL_FALSE'               => $conf_LCAS[2]=='false'         ? 'checked="checked"' : '' ,
+    'LCAS_MAILTEXT'                 => $conf_LCAS[3]
     )
   );
Index: /extensions/LCAS/trunk/admin/template/global.tpl
===================================================================
--- /extensions/LCAS/trunk/admin/template/global.tpl	(revision 8270)
+++ /extensions/LCAS/trunk/admin/template/global.tpl	(revision 8271)
@@ -64,7 +64,7 @@
           <br><br>
             <input type="radio" value="false" {$LCAS_Case_Sensitive_FALSE} name="LCAS_Case_Sensitive">
-              {'LCAS_Case_Sensitive_false'|@translate}<br>
+              {'LCAS_DisableOption'|@translate}<br>
             <input type="radio" value="true" {$LCAS_Case_Sensitive_TRUE} name="LCAS_Case_Sensitive">
-              {'LCAS_Case_Sensitive_true'|@translate}
+              {'LCAS_EnableOption'|@translate}
             <br><br>
           </li>
@@ -76,17 +76,31 @@
          <br><br>
             <input type="radio" value="false" {$LCAS_Accent_Sensitive_FALSE} name="LCAS_Accent_Sensitive">
-              {'LCAS_Accent_Sensitive_false'|@translate}<br>
+              {'LCAS_DisableOption'|@translate}<br>
             <input type="radio" value="true" {$LCAS_Accent_Sensitive_TRUE} name="LCAS_Accent_Sensitive">
-              {'LCAS_Accent_Sensitive_true'|@translate}<br>
+              {'LCAS_EnableOption'|@translate}<br>
             <br><br>
         	</li>
 
           <li>
-            <label class="cluetip" title="{'LCAS_Email_Customization'|translate}|{'LCAS_Email_Customization_d'|translate}">
-              {'LCAS_MailText'|@translate}
+            <label class="cluetip" title="{'LCAS_MailTitle'|translate}|{'LCAS_MailTitle_d'|translate}">
+              {'LCAS_Mail'|@translate}
             </label>
             <br><br>
-              <textarea class="LCAS_Mailtextfields" name="LCAS_MailText" id="LCAS_MailText" rows="10" {$TAG_INPUT_ENABLED}>{$LCAS_MAILTEXT}</textarea>
-            <br><br>
+              <input type="radio" value="false" {$LCAS_MAIL_FALSE} name="LCAS_Mail">
+                {'LCAS_DisableOption'|@translate}<br>
+              <input type="radio" value="true" {$LCAS_MAIL_TRUE} name="LCAS_Mail">
+                {'LCAS_EnableOption'|@translate}<br>
+              <br><br>
+
+              <ul>
+                <li>
+                  <label class="cluetip" title="{'LCAS_Email_Customization'|translate}|{'LCAS_Email_Customization_d'|translate}">
+                    {'LCAS_MailText'|@translate}
+                  </label>
+                <br><br>
+                  <textarea class="LCAS_Mailtextfields" name="LCAS_MailText" id="LCAS_MailText" rows="10" {$TAG_INPUT_ENABLED}>{$LCAS_MAILTEXT}</textarea>
+                <br><br>
+                </li>
+              </ul>
           </li>
         </ul>
@@ -148,5 +162,4 @@
 		      			<th>{'LCAS_Compare_value_h'|@translate}</th>
 		            <th>{'LCAS_Update_h'|@translate}</th>
-		            <th>{'LCAS_Notify_h'|@translate}</th>
 		    			</tr>
 		  			</thead>
@@ -163,5 +176,4 @@
 		{/if}
 		            <td style="text-align:center;"><a href="javascript:UpdateAUser({$user.ID});">{'LCAS_Update_User'|@translate}</a></td>
-		            <td style="text-align:center;"><a href="javascript:alert('to do - {$user.ID}');">{'LCAS_Send_Email'|@translate}</a></td>
 		            {foreach from=$user.plugin_columns item=data}
 		              <td>{$data}</td>
Index: /extensions/LCAS/trunk/include/functions.inc.php
===================================================================
--- /extensions/LCAS/trunk/include/functions.inc.php	(revision 8270)
+++ /extensions/LCAS/trunk/include/functions.inc.php	(revision 8271)
@@ -621,6 +621,6 @@
 
 
-/* Function called from main.inc.php to send validation email */
-function LCAS_SendMail2User($typemail, $id, $username, $password, $email, $confirm)
+/* Function called from LCAS_admin.php to send notification email */
+function LCAS_SendMail($id, $username)
 {
   global $conf;
@@ -629,7 +629,4 @@
   
 	include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
-  
-	$infos1_perso = "";
-  $infos2_perso = "";
 
 /* We have to get the user's language in database */
@@ -656,68 +653,19 @@
   }
 
-  switch($typemail)
-  {
-    case 1:
-      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Add of %s', stripslashes($username)));
-      $password = $password <> '' ? $password : l10n('LCAS_empty_pwd');
-      
-      if (isset($conf_LCAS[9]) and $conf_LCAS[9] <> '')
-      {
-        if (function_exists('get_user_language_desc'))
-        {
-          $infos1_perso = get_user_language_desc($conf_LCAS[9])."\n\n";
-        }
-        else $infos1_perso = l10n($conf_LCAS[9])."\n\n"; 
-      }
-      
-      break;
-      
-    case 2:
-      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Update of %s', stripslashes($username)));
-      $password = $password <> '' ? $password : l10n('LCAS_empty_pwd');
-
-      break;
-        
-    case 3:
-      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Update of %s', stripslashes($username)));
-      $password = $password <> '' ? $password : l10n('LCAS_no_update_pwd');
-
-      break;
-  }
-
-  if (isset($conf_LCAS[0]) and $conf_LCAS[0] == 'true')
-  {
-    $infos1 = array(
-      get_l10n_args('infos_mail %s', stripslashes($username)),
-      get_l10n_args('User: %s', stripslashes($username)),
-      get_l10n_args('Password: %s', $password),
-      get_l10n_args('Email: %s', $email),
-      get_l10n_args('', ''),
-    );
-  }
-
-
-  if ( isset($conf_LCAS[1]) and $conf_LCAS[1] == 'true' and $confirm)
-  {
-    $infos2 = array
-    (
-      get_l10n_args('Link: %s', AddConfirmMail($id, $email)),
-      get_l10n_args('', ''),
-    );
-
-    if (isset($conf_LCAS[10]) and $conf_LCAS[10] <> '')
+  $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Username_updated_for_%s', stripslashes($username)));
+
+  if (isset($conf_LCAS[3]) and $conf_LCAS[3] <> '')
+  {
+    if (function_exists('get_user_language_desc'))
     {
-      if (function_exists('get_user_language_desc'))
-      {
-        $infos2_perso = get_user_language_desc($conf_LCAS[10])."\n\n";
-      }
-      else $infos2_perso = l10n($conf_LCAS[10])."\n\n";
+      $customtxt = get_user_language_desc($conf_LCAS[3])."\n\n";
     }
-  }
-
-/* Sending the email with subject and contents */
+    else $customtxt = l10n($conf_LCAS[3])."\n\n"; 
+  }
+
+/* Send the email with subject and contents */
   pwg_mail($email, array(
     'subject' => $subject,
-    'content' => (isset($infos1) ? $infos1_perso.l10n_args($infos1)."\n\n" : "").(isset($infos2) ? $infos2_perso.l10n_args($infos2)."\n\n" : "").get_absolute_root_url(),
+    'content' => ($customtxt),
   ));
 
Index: /extensions/LCAS/trunk/language/en_UK/help/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/en_UK/help/plugin.lang.php	(revision 8270)
+++ /extensions/LCAS/trunk/language/en_UK/help/plugin.lang.php	(revision 8271)
@@ -5,8 +5,11 @@
 global $lang;
 
-/*TODO*/$lang['LCAS_sensitiveTitle'] = 'Sensibilité à l\'enregistrement et la connexion';
+/*TODO*/$lang['LCAS_sensitiveTitle'] = 'Sensibilités à l\'enregistrement et l\'identification';
 /*TODO*/$lang['LCAS_sensitiveTitle_d'] = '
+Piwigo permet de rendre insensible à la casse mais ne gère pas l\'insensibilité aux accents, et ceci uniquement à l\'inscription des nouveaux utilisateurs. LCAS apporte une gestion plus approfondie des insensibilités à l\'inscription et l\'identification des utilisateurs. Les options suivantes sont proposées:<br><br>
 - Noms d\'utilisateur sensible ou non à la casse<br>
-- Noms d\'utilisateur ensible ou non aux accents<br>
+- Noms d\'utilisateur sensible ou non aux accents<br>
+- Personnalisation du texte de l\'email de notification<br><br>
+<b style=&quot;color: red;&quot;>Important : L\'option de Piwigo &quot;$conf[\'insensitive_case_logon\']&quot; doit être activée pour un fonctionnement optimal.</b>
 ';
 /*TODO*/$lang['LCAS_caseSensitiveTitle'] = 'La casse';
@@ -36,4 +39,7 @@
 
 /*TODO*/$lang['LCAS_Email_Customization'] = 'Personnalisation de la notification par email';
-/*TODO*/$lang['LCAS_Email_Customization_d'] = 'Si vous souhaitez utiliser la notification par email des utilisateurs que vous avez renommés dans le tableau de vérification, vous pouvez personnaliser le texte à envoyer. Utiliser les balises [lang] pour une personnalisation multi-langues si le plugin Extended Description est actif.';
+/*TODO*/$lang['LCAS_Email_Customization_d'] = 'Vous pouvez personnaliser le texte à envoyer lors de la notification. Utilisez les balises [lang] pour une personnalisation multi-langues si le plugin Extended Description est actif.';
+
+/*TODO*/$lang['LCAS_MailTitle'] = 'Notification par email';
+/*TODO*/$lang['LCAS_MailTitle_d'] = 'Choisissez ici si un email de notification doit être envoyé automatiquement aux utilisateurs dont le login dû être modifié pour correspondre aux nouvelles règles de sensibilité.';
 ?>
Index: /extensions/LCAS/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/en_UK/plugin.lang.php	(revision 8270)
+++ /extensions/LCAS/trunk/language/en_UK/plugin.lang.php	(revision 8271)
@@ -11,10 +11,6 @@
 
 $lang['LCAS_Case_Sensitive'] = 'Case insensitivity :';
-$lang['LCAS_Case_Sensitive_false'] = ' Enable (default value)';
-$lang['LCAS_Case_Sensitive_true'] = ' Disable';
 
 $lang['LCAS_Accent_Sensitive'] = 'Accents insensivity :';
-$lang['LCAS_Accent_Sensitive_false'] = ' Enable (default value)';
-$lang['LCAS_Accent_Sensitive_true'] = ' Disable';
 
 $lang['LCAS_currentPWGConfigHeader'] = 'Current Piwigo\'s setting';
@@ -58,3 +54,11 @@
 
 $lang['LCAS_PluginSupport'] = 'Official plugin support';
+
+$lang['LCAS_Mail'] = 'Notification par email';
+
+$lang['LCAS_DisableOption'] = ' Disable (default value)';
+$lang['LCAS_EnableOption'] = ' Enable';
+
+/* Email subject */
+$lang['Username_updated_for_%s'] = 'Username update for %s';
 ?>
Index: /extensions/LCAS/trunk/language/fr_FR/help/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/fr_FR/help/plugin.lang.php	(revision 8270)
+++ /extensions/LCAS/trunk/language/fr_FR/help/plugin.lang.php	(revision 8271)
@@ -36,4 +36,7 @@
 
 $lang['LCAS_Email_Customization'] = 'Personnalisation de la notification par email';
-$lang['LCAS_Email_Customization_d'] = 'Si vous souhaitez utiliser la notification par email des utilisateurs que vous avez renommés dans le tableau de vérification, vous pouvez personnaliser le texte à envoyer. Utiliser les balises [lang] pour une personnalisation multi-langues si le plugin Extended Description est actif.';
+$lang['LCAS_Email_Customization_d'] = 'Vous pouvez personnaliser le texte à envoyer lors de la notification. Utilisez les balises [lang] pour une personnalisation multi-langues si le plugin Extended Description est actif.';
+
+$lang['LCAS_MailTitle'] = 'Notification par email';
+$lang['LCAS_MailTitle_d'] = 'Choisissez ici si un email de notification doit être envoyé automatiquement aux utilisateurs dont le login dû être modifié pour correspondre aux nouvelles règles de sensibilité.';
 ?>
Index: /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php	(revision 8270)
+++ /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php	(revision 8271)
@@ -11,10 +11,6 @@
 
 $lang['LCAS_Case_Sensitive'] = 'Insensible à la casse :';
-$lang['LCAS_Case_Sensitive_false'] = ' Désactiver (valeur par défaut)';
-$lang['LCAS_Case_Sensitive_true'] = ' Activer';
 
 $lang['LCAS_Accent_Sensitive'] = 'Insensible aux accents :';
-$lang['LCAS_Accent_Sensitive_false'] = ' Désactiver (valeur par défaut)';
-$lang['LCAS_Accent_Sensitive_true'] = ' Activer';
 
 $lang['LCAS_currentPWGConfigHeader'] = 'Paramètre actuel de Piwigo';
@@ -58,3 +54,11 @@
 
 $lang['LCAS_PluginSupport'] = 'Support officiel du plugin';
+
+$lang['LCAS_Mail'] = 'Notification par email';
+
+$lang['LCAS_DisableOption'] = ' Désactiver (valeur par défaut)';
+$lang['LCAS_EnableOption'] = ' Activer';
+
+/* Email subject */
+$lang['Username_updated_for_%s'] = 'Nom d\'utilisateur mis à jour pour %s';
 ?>
Index: /extensions/LCAS/trunk/maintain.inc.php
===================================================================
--- /extensions/LCAS/trunk/maintain.inc.php	(revision 8270)
+++ /extensions/LCAS/trunk/maintain.inc.php	(revision 8271)
@@ -18,9 +18,9 @@
 	global $conf;
 	
-  $default1 = array('false','false','Example customized content of the notification email');
+  $default = array('false','false','false','Example customized content of the notification email');
 
   $q = '
 INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
-VALUES ("LoginCaseAccentsSensitivity","'.addslashes(serialize($default1)).'","LCAS parameters")
+VALUES ("LoginCaseAccentsSensitivity","'.addslashes(serialize($default)).'","LCAS parameters")
   ;';
   pwg_query($q);