Index: /extensions/FacebookPlug/Plugin/admin.config.php
===================================================================
--- /extensions/FacebookPlug/Plugin/admin.config.php	(revision 8274)
+++ /extensions/FacebookPlug/Plugin/admin.config.php	(revision 8275)
@@ -74,5 +74,5 @@
       // Like box
       $conf['fbp']['social_plugin_like_box']['enabled'] = empty($_POST['FBP_SOCIAL_PLUGIN_LIKE_BOX_ENABLED']) ? false : true;
-      $conf['fbp']['social_plugin_like_box']['url_type'] = $url_type[$_POST['FBP_SOCIAL_PLUGIN_LIKE_BOX_URL_TYPE']];
+      $conf['fbp']['social_plugin_like_box']['url'] = $_POST['FBP_SOCIAL_PLUGIN_LIKE_BOX_URL'];
       $conf['fbp']['social_plugin_like_box']['colorscheme'] = $colorscheme[$_POST['FBP_SOCIAL_PLUGIN_LIKE_BOX_COLORSCHEME']];
       $conf['fbp']['social_plugin_like_box']['show_faces'] = empty($_POST['FBP_SOCIAL_PLUGIN_LIKE_BOX_SHOW_FACES']) ? false : true;
@@ -101,5 +101,12 @@
   param = \'fbp\'
 ;';
-  pwg_query($query);
+  if (pwg_query($query))
+  {
+    array_push($page['infos'], l10n('Data updated with success'));
+  }
+  else
+  {
+    array_push($page['errors'], l10n('Data updated with error'));
+  }
 }
 
@@ -130,6 +137,5 @@
             'FB_PAGE' => 'http://developers.facebook.com/docs/reference/plugins/like-box',
             'ENABLED' => ($conf['fbp']['social_plugin_like_box']['enabled'] ? 'checked="checked"' : ''),
-            'URL_TYPE_OPTIONS' => $url_type_l10n,
-            'URL_TYPE_OPTIONS_SELECTED' => array_search($conf['fbp']['social_plugin_like_box']['url_type'], $url_type),
+            'URL' => $conf['fbp']['social_plugin_like_box']['url'],
             'COLORSCHEME_OPTIONS' => $colorscheme_l10n,
             'COLORSCHEME_OPTIONS_SELECTED' => array_search($conf['fbp']['social_plugin_like_box']['colorscheme'], $colorscheme),
Index: /extensions/FacebookPlug/Plugin/css/fbp.css
===================================================================
--- /extensions/FacebookPlug/Plugin/css/fbp.css	(revision 8275)
+++ /extensions/FacebookPlug/Plugin/css/fbp.css	(revision 8275)
@@ -0,0 +1,6 @@
+#fb-xfbml-like-box {
+    margin-bottom: 0px;
+    margin-left: 10px;
+    margin-right: 0px;
+    margin-top: 10px;
+}
Index: /extensions/FacebookPlug/Plugin/css/index.php
===================================================================
--- /extensions/FacebookPlug/Plugin/css/index.php	(revision 8275)
+++ /extensions/FacebookPlug/Plugin/css/index.php	(revision 8275)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | FacebookPlug - a Piwigo Plugin                                        |
+// | Copyright (C) 2008-2010 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/FacebookPlug/Plugin/include/admin.inc.php
===================================================================
--- /extensions/FacebookPlug/Plugin/include/admin.inc.php	(revision 8274)
+++ /extensions/FacebookPlug/Plugin/include/admin.inc.php	(revision 8275)
@@ -24,5 +24,4 @@
 }
 
-
 function fbp_get_admin_plugin_menu_links($menu)
 {
Index: /extensions/FacebookPlug/Plugin/include/conf.inc.php
===================================================================
--- /extensions/FacebookPlug/Plugin/include/conf.inc.php	(revision 8274)
+++ /extensions/FacebookPlug/Plugin/include/conf.inc.php	(revision 8275)
@@ -26,5 +26,5 @@
 global $conf;
 
-$conf['fbp'] = array_merge(
+/*$conf['fbp'] = array_merge(
   // default values
   array
@@ -53,5 +53,44 @@
   ),
   unserialize($conf['fbp'])
-  );
+  );*/
+
+$conf['fbp'] = array_merge(
+  // default values
+  array
+  (
+    'allow_fb_access_private_page' => true,
+    'async_script' => false,
+    'social_plugin_like_button' => array(),
+    'social_plugin_like_box' => array(),
+  ),
+  unserialize($conf['fbp']));
+
+$conf['fbp']['social_plugin_like_button'] = array_merge(
+  // default values
+  array
+  (
+    'enabled' => true,
+    'url_type' => 'page',
+    'layout' => 'standard',
+    'show_faces' => true,
+    'action' => 'like',
+    'colorscheme' => 'dark',
+    'width' => '',
+  ),
+  $conf['fbp']['social_plugin_like_button']);
+
+$conf['fbp']['social_plugin_like_box'] = array_merge(
+  // default values
+  array
+  (
+    'enabled' => false,
+    'url' => 'http://www.facebook.com/Piwigo',
+    'colorscheme' => 'dark',
+    'show_faces' => true,
+    'stream' => true,
+    'header' => true,
+    'width' => '210',
+  ),
+  $conf['fbp']['social_plugin_like_box']);
 
 //~ print_r($conf['fbp']);
Index: /extensions/FacebookPlug/Plugin/include/constants.inc.php
===================================================================
--- /extensions/FacebookPlug/Plugin/include/constants.inc.php	(revision 8274)
+++ /extensions/FacebookPlug/Plugin/include/constants.inc.php	(revision 8275)
@@ -26,4 +26,5 @@
 define('FACEBOOK_APP_ID', '111499825588662');
 define('FBP_DIR', dirname(dirname(__FILE__)));
+define('FBP_PATH' , PHPWG_PLUGINS_PATH.basename(FBP_DIR));
 define('FBP_IP_FB', '66.220.');
 
Index: /extensions/FacebookPlug/Plugin/include/header.inc.php
===================================================================
--- /extensions/FacebookPlug/Plugin/include/header.inc.php	(revision 8275)
+++ /extensions/FacebookPlug/Plugin/include/header.inc.php	(revision 8275)
@@ -0,0 +1,67 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | FacebookPlug - a Piwigo Plugin                                        |
+// | Copyright (C) 2010 Ruben ARNAUD - rub@piwigo.org                      |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+function fbp_header($content, &$smarty)
+{
+  global $conf;
+
+  // replace tag html
+  $search = '<html ';
+  $replacement = '<html xmlns:fb="http://www.facebook.com/2008/fbml" ';
+
+  //~ $content = preg_replace('#'.$search.'#', $replacement, $content);
+  return preg_replace('#'.$search.'#', $replacement, $content);
+  //~ $fbp_content = file_get_contents(FBP_DIR.'/tpl/init.fb.tpl');
+
+  //~ $search = '<div id="the_page">';
+  //~ return preg_replace('#'.$search.'#', $fbp_content.$search, $content);
+}
+
+function fbp_init()
+{
+  global $template, $user, $page, $conf, $picture;
+
+  // set prefilter
+  $template->set_prefilter('header', 'fbp_header');
+
+  $template->assign('FACEBOOK_APP_ID', FACEBOOK_APP_ID);
+  // define language
+  $template->assign('LANGUAGE', $user['language']);
+  $template->assign('fbp', $conf['fbp']);
+  $template->smarty->register_modifier('boolean_to_string', 'boolean_to_string');
+
+  $template->set_filename('init.fb', FBP_DIR.'/tpl/init.fb.tpl');
+  $template->append('head_elements', $template->parse('init.fb', true));
+
+  $template->block_html_head('', '<link rel="stylesheet" type="text/css" href="'.FBP_PATH.'/css/fbp.css">', $smarty, $repeat);
+}
+
+
+if ($conf['fbp']['social_plugin_like_button']['enabled'] or $conf['fbp']['social_plugin_like_box']['enabled'])
+{
+  add_event_handler('init', 'fbp_init');
+}
+
+?>
Index: /extensions/FacebookPlug/Plugin/include/index.inc.php
===================================================================
--- /extensions/FacebookPlug/Plugin/include/index.inc.php	(revision 8275)
+++ /extensions/FacebookPlug/Plugin/include/index.inc.php	(revision 8275)
@@ -0,0 +1,73 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | FacebookPlug - a Piwigo Plugin                                        |
+// | Copyright (C) 2010 Ruben ARNAUD - rub@piwigo.org                      |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+include_once(FBP_DIR.'/include/common.inc.php');
+include_once(FBP_DIR.'/include/header.inc.php');
+
+/*function fbp_loc_begin_index()
+{
+  global $template;
+
+  $template->set_filename('social.plugin.like.box', FBP_DIR.'/tpl/social.plugin.like.box.tpl');
+  
+  //~ $template->assign_var_from_handle('PLUGIN_INDEX_CONTENT_BEFORE', 'social.plugin.like.box');
+  //~ $template->assign_var_from_handle('PLUGIN_INDEX_CONTENT_BEGIN', 'social.plugin.like.box');
+  $template->assign_var_from_handle('PLUGIN_INDEX_CONTENT_END', 'social.plugin.like.box');
+  //~ $template->assign_var_from_handle('PLUGIN_INDEX_CONTENT_AFTER', 'social.plugin.like.box');
+
+  //~ $template->set_filename('social.plugin.like.box', FBP_DIR.'/tpl/social.plugin.like.box.tpl');
+    //~ $content .= $template->parse('social.plugin.like.box', true);
+}*/
+
+function fbp_blockmanager_register_blocks( $menu_ref_arr )
+{
+  $menu = & $menu_ref_arr[0];
+  if ($menu->get_id() != 'menubar')
+    return;
+  $menu->register_block( new RegisteredBlock( 'mbFBP', 'social.plugin.like.box', 'FacebookPlug'));
+}
+
+function fpt_blockmanager_apply($menu_ref_arr)
+{
+  global $template;
+
+  $menu = & $menu_ref_arr[0];
+   
+  if ($block = $menu->get_block('mbFBP'))
+  {
+    $template->set_template_dir(FBP_DIR.'/tpl/');
+    $block->template = 'social.plugin.like.box.tpl';
+  }
+}
+
+
+if ($conf['fbp']['social_plugin_like_box']['enabled'])
+{
+  //~ add_event_handler('loc_begin_index', 'fbp_loc_begin_index');
+  add_event_handler('blockmanager_register_blocks', 'fbp_blockmanager_register_blocks', EVENT_HANDLER_PRIORITY_NEUTRAL);
+  add_event_handler('blockmanager_apply', 'fpt_blockmanager_apply');
+}
+
+?>
Index: /extensions/FacebookPlug/Plugin/include/picture.inc.php
===================================================================
--- /extensions/FacebookPlug/Plugin/include/picture.inc.php	(revision 8274)
+++ /extensions/FacebookPlug/Plugin/include/picture.inc.php	(revision 8275)
@@ -24,5 +24,8 @@
 }
 
-function fbp_header($content, &$smarty)
+include_once(FBP_DIR.'/include/common.inc.php');
+include_once(FBP_DIR.'/include/header.inc.php');
+
+/*function fbp_header($content, &$smarty)
 {
   global $conf;
@@ -38,7 +41,7 @@
   $search = '<div id="the_page">';
   return preg_replace('#'.$search.'#', $fbp_content.$search, $content);
-}
+}*/
 
-function fbp_loc_begin_picture()
+/*function fbp_loc_begin_picture()
 {
   global $template, $user, $page, $conf, $picture;
@@ -55,5 +58,5 @@
   $template->set_filename('init.fb', FBP_DIR.'/tpl/init.fb.tpl');
   $template->append('head_elements', $template->parse('init.fb', true));
-}
+}*/
 
 function fbp_render_element_content($content, $current_picture)
@@ -67,51 +70,30 @@
   }
 
-  if ($conf['fbp']['social_plugin_like_button']['enabled'] or $conf['fbp']['social_plugin_like_box']['enabled'])
+  // define picture FB link
+  // Always use full url for FB social plugin
+  set_make_full_url();
+  if ($conf['fbp']['social_plugin_like_button']['url_type'] == 'image')
   {
-    // define picture FB link
-    // Always use full url for FB social plugin
-    set_make_full_url();
-    if ($conf['fbp']['social_plugin_like_button']['url_type'] == 'image')
-    {
-      $fbp_url_picture = get_element_url($current_picture);
-    }
-    else
-    {
-      $fbp_url_picture = make_picture_url(array('image_id' => $page['image_id']));
-    }
-    unset_make_full_url();
-    $template->assign('fbp_url_picture', $fbp_url_picture);
-    //~ $template->assign('FBP_SOCIAL_PLUGIN_LIKE_BUTTON', $conf['fbp']['social_plugin_like_button']);
-    //~ $template->assign('FBP_SOCIAL_PLUGIN_LIKE_BOX', $conf['fbp']['social_plugin_like_box']);
+    $fbp_url_picture = get_element_url($current_picture);
+  }
+  else
+  {
+    $fbp_url_picture = make_picture_url(array('image_id' => $page['image_id']));
+  }
+  unset_make_full_url();
+  $template->assign('fbp_url_picture', $fbp_url_picture);
 
-     // iframe implementation
-    /*  $$content = '
-    <iframe src="http://www.facebook.com/plugins/like.php?href={$SRC_IMG}&amp;layout=standard&amp;show_faces=true&amp;width={$WIDTH_IMG}&amp;action=like&amp;colorscheme=light&amp;height=80" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:{$WIDTH_IMG}px; height:80px;" allowTransparency="true"></iframe>
-    ';*/
-    // XFBML implementation
+  // XFBML implementation
+  //~ $content .= '
+//~ <div id="fb-xfbml">';
+  if ($conf['fbp']['social_plugin_like_button']['enabled'])
+  {
     //~ $content .= '
-//~ <div id="fb-xfbml">';
-    if ($conf['fbp']['social_plugin_like_button']['enabled'])
-    {
-      //~ $content .= '
 //~ <div id="fb-xfbml">
 //~ <fb:like href="'.$fbp_url_picture.'" layout="'.$conf['fbp']['social_plugin_like_button']['layout'].'" show_faces="'.boolean_to_string($conf['fbp']['social_plugin_like_button']['show_faces']).'" width="'.@$current_picture['scaled_width'].'" action="'.$conf['fbp']['social_plugin_like_button']['action'].'" colorscheme="'.$conf['fbp']['social_plugin_like_button']['colorscheme'].'"></fb:like>
 //~ </div>';
-      $template->set_filename('social.plugin.like.button', FBP_DIR.'/tpl/social.plugin.like.button.tpl');
-      $content .= $template->parse('social.plugin.like.button', true);
-    }
-    if ($conf['fbp']['social_plugin_like_box']['enabled'])
-    {
-      //~ $content .= '
-//~ <div id="fb-xfbml">
-//~ <fb:like-box href="'.$fbp_url_picture.'" width="'.@$current_picture['scaled_width'].'" show_faces="'.boolean_to_string($conf['fbp']['social_plugin_like_box']['show_faces']).'" stream="'.boolean_to_string($conf['fbp']['social_plugin_like_box']['stream']).'" header="'.boolean_to_string($conf['fbp']['social_plugin_like_box']['header']).'"></fb:like-box>
-//~ </div>';
-      $template->set_filename('social.plugin.like.box', FBP_DIR.'/tpl/social.plugin.like.box.tpl');
-      $content .= $template->parse('social.plugin.like.box', true);
-    }
-
-    //~ $content .= '
-//~ </div>';
-}
+    $template->set_filename('social.plugin.like.button', FBP_DIR.'/tpl/social.plugin.like.button.tpl');
+    $content .= $template->parse('social.plugin.like.button', true);
+  }
 
   return $content;
@@ -122,5 +104,5 @@
   global $conf;
 
-  if ($conf['fbp']['social_plugin_like_button']['enabled'] or $conf['fbp']['social_plugin_like_box']['enabled'])
+  if ($conf['fbp']['social_plugin_like_button']['enabled'])
   {
     if ($conf['fbp']['allow_fb_access_private_page'])
@@ -143,7 +125,7 @@
 }
 
-if ($conf['fbp']['social_plugin_like_button']['enabled'] or $conf['fbp']['social_plugin_like_box']['enabled'])
+if ($conf['fbp']['social_plugin_like_button']['enabled'])
 {
-  add_event_handler('loc_begin_picture', 'fbp_loc_begin_picture');
+  //~ add_event_handler('loc_begin_picture', 'fbp_loc_begin_picture');
   add_event_handler('render_element_content', 'fbp_render_element_content', EVENT_HANDLER_PRIORITY_NEUTRAL+1 /*in order to have picture content*/, 2);
   //~ add_event_handler('loc_end_picture', 'fbp_loc_end_picture');
Index: /extensions/FacebookPlug/Plugin/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/en_UK/plugin.lang.php	(revision 8274)
+++ /extensions/FacebookPlug/Plugin/language/en_UK/plugin.lang.php	(revision 8275)
@@ -23,4 +23,5 @@
 }
 
+// English
 $lang['page'] = 'page';
 $lang['image'] = 'image';
@@ -40,10 +41,15 @@
 $lang['URL type'] = 'URL type';
 $lang['Layout style'] = 'Layout style';
-$lang['Show faces'] = 'Voir les faces';
-$lang['Verb to display'] = 'Texte à afficher';
-$lang['Color scheme'] = 'Jeu de couleurs';
+$lang['Show faces'] = 'Show faces';
+$lang['Verb to display'] = 'Verb to display';
+$lang['Color scheme'] = 'Color scheme';
 $lang['Like box'] = 'Like box';
 $lang['Show stream'] = 'Show stream';
 $lang['Show header'] = 'Show header';
+$lang['Facebook Page URL'] = 'Facebook Page URL';
+$lang['on picture pages'] = 'on picture pages';
+$lang['on main pages'] = 'on main pages';
+$lang['Data updated with success'] = 'Data updated with success';
+$lang['Data updated with error'] = 'Data updated with error';
 
 ?>
Index: /extensions/FacebookPlug/Plugin/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/fr_FR/plugin.lang.php	(revision 8274)
+++ /extensions/FacebookPlug/Plugin/language/fr_FR/plugin.lang.php	(revision 8275)
@@ -23,4 +23,5 @@
 }
 
+// Français
 $lang['page'] = 'page';
 $lang['image'] = 'image';
@@ -35,17 +36,20 @@
 $lang['Advanced'] = 'Avancé';
 $lang['Asynchronous Facebook access'] = 'Accès asynchrone à Facebook';
-$lang['Allow Facebook to see private page (recommended)'] = 'Permettre à Facebook de voir les pages privées (recommendé)';
+$lang['Allow Facebook to see private page (recommended)'] = 'Permettre à Facebook de voir les pages privées (recommandé)';
 $lang['Like button'] = 'Bouton "J\'aime"';
 $lang['Enabled'] = 'Activé';
 $lang['URL type'] = 'Type d\'URL';
 $lang['Layout style'] = 'Style d\'affichage';
-$lang['Show faces'] = 'Show face';
-$lang['Verb to display'] = 'Verb to display';
-$lang['Color scheme'] = 'Color scheme';
+$lang['Show faces'] = 'Voir les faces';
+$lang['Verb to display'] = 'Texte à afficher';
+$lang['Color scheme'] = 'Jeu de couleurs';
 $lang['Like box'] = 'Boite "J\'aime"';
 $lang['Show stream'] = 'Voir le flux';
 $lang['Show header'] = 'Voir l\'entête';
-//~ $lang[''] = '';
-//~ $lang[''] = '';
+$lang['Facebook Page URL'] = 'URL de la page Facebook';
+$lang['on picture pages'] = 'sur les pages d\'images';
+$lang['on main pages'] = 'sur les pages principales';
+$lang['Data updated with success'] = 'Données mises à jour avec succès';
+$lang['Data updated with error'] = 'Données mises à jour avec erreur';
 //~ $lang[''] = '';
 
Index: /extensions/FacebookPlug/Plugin/main.inc.php
===================================================================
--- /extensions/FacebookPlug/Plugin/main.inc.php	(revision 8274)
+++ /extensions/FacebookPlug/Plugin/main.inc.php	(revision 8275)
@@ -38,4 +38,9 @@
   include_once(FBP_DIR.'/include/picture.inc.php');
 }
+else if (script_basename() == 'index')
+{
+  include_once(dirname(__FILE__).'/include/common.inc.php');
+  include_once(FBP_DIR.'/include/index.inc.php');
+}
 else
 if (script_basename() == 'admin')
Index: /extensions/FacebookPlug/Plugin/tpl/admin.config.tpl
===================================================================
--- /extensions/FacebookPlug/Plugin/tpl/admin.config.tpl	(revision 8274)
+++ /extensions/FacebookPlug/Plugin/tpl/admin.config.tpl	(revision 8275)
@@ -9,5 +9,5 @@
 <fieldset>
   <ul>
-    <h3><a href="{$social_plugin.like_button.FB_PAGE}" onclick="window.open(this.href); return false;">{'Like button'|@translate}</a></h3>
+    <h3><a href="{$social_plugin.like_button.FB_PAGE}" onclick="window.open(this.href); return false;">{'Like button'|@translate}</a> {'on picture pages'|@translate}</h3>
     <li>
       <label>
@@ -68,5 +68,5 @@
 <fieldset>
   <ul>
-    <h3><a href="{$social_plugin.like_box.FB_PAGE}" onclick="window.open(this.href); return false;">{'Like box'|@translate}</a></h3>
+    <h3><a href="{$social_plugin.like_box.FB_PAGE}" onclick="window.open(this.href); return false;">{'Like box'|@translate}</a> {'on main pages'|@translate}</h3>
     <li>
       <label>
@@ -79,8 +79,6 @@
       <li>
         <label>
-          <span class="property">{'URL type'|@translate}</span>
-          <select name="FBP_SOCIAL_PLUGIN_LIKE_BOX_URL_TYPE" size="1">
-            {html_options options=$social_plugin.like_box.URL_TYPE_OPTIONS selected=$social_plugin.like_box.URL_TYPE_OPTIONS_SELECTED}
-          </select>
+          <span class="property">{'Facebook Page URL'|@translate}</span>
+          <input type="text" size="79" name="FBP_SOCIAL_PLUGIN_LIKE_BOX_URL" value="{$social_plugin.like_box.URL}" />
         </label>
       </li>
Index: /extensions/FacebookPlug/Plugin/tpl/social.plugin.like.box.tpl
===================================================================
--- /extensions/FacebookPlug/Plugin/tpl/social.plugin.like.box.tpl	(revision 8274)
+++ /extensions/FacebookPlug/Plugin/tpl/social.plugin.like.box.tpl	(revision 8275)
@@ -1,3 +1,7 @@
-<div id="fb-xfbml-like-box">
-<fb:like-box href="{$fbp.social_plugin_like_box.url}" {*width="???"*} show_faces="{$fbp.social_plugin_like_box.show_faces|@boolean_to_string}" stream="{$fbp.social_plugin_like_box.stream|@boolean_to_string}" header="{$fbp.social_plugin_like_box.header|@boolean_to_string}"></fb:like-box>
-</div>
+<dd>
+  <ul>
+    <div id="fb-xfbml-like-box">
+    <fb:like-box href="{$fbp.social_plugin_like_box.url}" width="{$fbp.social_plugin_like_box.width}" show_faces="{$fbp.social_plugin_like_box.show_faces|@boolean_to_string}" stream="{$fbp.social_plugin_like_box.stream|@boolean_to_string}" header="{$fbp.social_plugin_like_box.header|@boolean_to_string}" colorscheme="{$fbp.social_plugin_like_box.colorscheme}"></fb:like-box>
+    </div>
+  </ul>
+</dd>
Index: /extensions/FacebookPlug/Plugin/tpl/social.plugin.like.button.tpl
===================================================================
--- /extensions/FacebookPlug/Plugin/tpl/social.plugin.like.button.tpl	(revision 8274)
+++ /extensions/FacebookPlug/Plugin/tpl/social.plugin.like.button.tpl	(revision 8275)
@@ -1,3 +1,3 @@
-<div id="fb-xfbml-like">
-<fb:like href="{$fbp_url_picture}" layout="{$fbp.social_plugin_like_button.layout}" show_faces="{$fbp.social_plugin_like_button.show_faces|@boolean_to_string}" {*width="{$WIDTH_IMG}"*} action="{$fbp.social_plugin_like_button.action}" colorscheme="{$fbp.social_plugin_like_button.colorscheme}"></fb:like>
+<div id="fb-xfbml-like-button">
+<fb:like href="{$fbp_url_picture}" width="{$fbp.social_plugin_like_button.width}" layout="{$fbp.social_plugin_like_button.layout}" show_faces="{$fbp.social_plugin_like_button.show_faces|@boolean_to_string}" {*width="{$WIDTH_IMG}"*} action="{$fbp.social_plugin_like_button.action}" colorscheme="{$fbp.social_plugin_like_button.colorscheme}"></fb:like>
 </div>