Index: trunk/language/fa_IR/admin.lang.php
===================================================================
--- trunk/language/fa_IR/admin.lang.php	(revision 8255)
+++ trunk/language/fa_IR/admin.lang.php	(revision 8286)
@@ -26,12 +26,12 @@
 $lang['%d association'] = "%d association";
 $lang['%d associations'] = "%d associations";
-$lang['%d category including'] = "%d دسته ضميمه شد";
-$lang['%d categories including'] = "%d دسته ضميمه شدند";
+$lang['%d album including'] = "%d دسته ضميمه شد";
+$lang['%d albums including'] = "%d دسته ضميمه شدند";
 $lang['%d physical'] = " %d فيزيکي";
 $lang['%d physical'] = " %d فيزيکي";
 $lang[' and %d virtual'] = " و %d مجازي";
 $lang[' and %d virtual'] = " و %d مجازي";
-$lang['%d category moved'] = "%d دسته منتقل شد";
-$lang['%d categories moved'] = "%d دسته منتقل شدند";
+$lang['%d album moved'] = "%d دسته منتقل شد";
+$lang['%d albums moved'] = "%d دسته منتقل شدند";
 $lang['%d group'] = "%d گروه";
 $lang['%d groups'] = "%d گروه";
@@ -60,5 +60,5 @@
 $lang['Add'] = "افزودن";
 $lang['Allow user registration'] = "فعال بودن ثبت‌نام کاربر";
-$lang['Apply to subcategories'] = "براي زيردسته‌ها همين عمل را انجام بده!";
+$lang['Apply to sub-albums'] = "براي زيردسته‌ها همين عمل را انجام بده!";
 $lang['Associated'] = "وابسته";
 $lang['Association to categories'] = "وابستگي دسته‌ها";
@@ -66,7 +66,7 @@
 $lang['Caddie management'] = "مدیریت سبد";
 $lang['Caddie'] = "سبد";
-$lang['Categories authorized thanks to group associations'] = "Categories authorized thanks to group associations";
-$lang['Categories manual order was saved'] = "ترتيب دستي دسته‌ها با موفقيت ذخيره شد";
-$lang['Category elements associated to the following categories: %s'] = "Category elements associated to the following categories: %s";
+$lang['Albums authorized thanks to group associations'] = "Categories authorized thanks to group associations";
+$lang['Album manual order was saved'] = "ترتيب دستي دسته‌ها با موفقيت ذخيره شد";
+$lang['Album elements associated to the following albums: %s'] = "Category elements associated to the following categories: %s";
 $lang['Check for upgrade failed for unknown reasons.'] = "Check for upgrade failed for unknown reasons.";
 $lang['Check for upgrade'] = "چک براي بروزرساني";
@@ -106,10 +106,10 @@
 $lang['Informations'] = "اطلاعات";
 $lang['Install'] = "نصب";
-$lang['Link all category elements to a new category'] = "متصل کردن تمام عناصر دسته به يک دسته جديد";
-$lang['Link all category elements to some existing categories'] = "متصل کردن تمام عناصر دسته به دسته‌(ها)ي موجود";
-$lang['Linked categories'] = "دسته‌ها متصل شدند";
+$lang['Link all album elements to a new album'] = "متصل کردن تمام عناصر دسته به يک دسته جديد";
+$lang['Link all album elements to some existing albums'] = "متصل کردن تمام عناصر دسته به دسته‌(ها)ي موجود";
+$lang['Linked albums'] = "دسته‌ها متصل شدند";
 $lang['Lock gallery'] = "قفل کردن گالري";
 $lang['Maintenance'] = "نگهداري";
-$lang['Manage permissions for a category'] = "مديريت مجوزهاي دسته";
+$lang['Edit album permissions'] = "مديريت مجوزهاي دسته";
 $lang['Manage permissions for group "%s"'] = "مديريت محوزهاي دسته‌ي \"%s\"";
 $lang['Manage permissions for user "%s"'] = "مديريت مجوزهاي کاربر \"%s\"";
@@ -117,24 +117,24 @@
 $lang['Members'] = "اعضا";
 $lang['Metadata synchronized from file'] = "Metadata synchronized from file";
-$lang['Move categories'] = "انتقال دسته‌ها";
+$lang['Move albums'] = "انتقال دسته‌ها";
 $lang['Move'] = "انتقال";
 $lang['Name'] = "نام";
 $lang['New name'] = "نام جديد";
-$lang['New parent category'] = "دسته والد جديد";
+$lang['New parent album'] = "دسته والد جديد";
 $lang['New tag'] = "برچسب جديد";
 $lang['Number of comments per page'] = "تعداد نظرات در هر صفحه";
 $lang['Number of rates'] = "تعداد امتيازها";
 $lang['Number of thumbnails to create'] = "تعداد عکس‌ريزه (thumbnails) ايجاد شده";
-$lang['Only private categories are listed'] = "فقط دسته‌هاي شخصي ررا نمايش بده";
+$lang['Only private albums are listed'] = "فقط دسته‌هاي شخصي ررا نمايش بده";
 $lang['Operating system'] = "سيستم عامل";
 $lang['Options'] = "گزينه‌ها";
-$lang['Other private categories'] = "دسته‌هاي شخصي ديگر";
+$lang['Other private albums'] = "دسته‌هاي شخصي ديگر";
 $lang['Page banner'] = "بنر صفحه";
-$lang['Parent category'] = "دسته والد";
+$lang['Parent album'] = "دسته والد";
 $lang['Path'] = "آدرس";
 $lang['Permalink'] = "لينک ثابت";
-$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = "لينک‌ثابت %s قبلا براي دسته %s تعيين شده بوده. لطفا اول اين لينک‌ثابت را از تاريخچه حذف نماييد";
+$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = "لينک‌ثابت %s قبلا براي دسته %s تعيين شده بوده. لطفا اول اين لينک‌ثابت را از تاريخچه حذف نماييد";
 $lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = "لينک‌ثابت مي‌تواند فقط ترکيبي از a-z, A-Z, 0-9, \"-\", \"_\" يا \"/\" باشد. اين نبايد فقط داراي عدد باشد يا با عدد شروع شود. مي توانيد  از \"-\" در ابتدای آن استفاده نمایید.";
-$lang['Permalink %s is already used by category %s'] = "لينک‌ثابت %s در حال استفاد دسته %s مي‌باشد.";
+$lang['Permalink %s is already used by album %s'] = "لينک‌ثابت %s در حال استفاد دسته %s مي‌باشد.";
 $lang['Permalink history'] = "Pتاريخچه لينک‌ثابت";
 $lang['Permalinks'] = "لینک‌های‌ثابت";
@@ -154,10 +154,10 @@
 $lang['Reject'] = "رد کردن";
 $lang['Representant'] = "نماینده";
-$lang['Representation of categories'] = "نماینده دسته‌ها";
+$lang['Representation of albums'] = "نماینده دسته‌ها";
 $lang['Representative'] = "نماینده";
 $lang['Represents'] = "نمایندگی";
 $lang['Save order'] = "ذخیره این ترتیب";
 $lang['Save to permalink history'] = "ذخیره در تاریخچه لینک‌ثابت";
-$lang['Select at least one category'] = "حداقل یک دسته انتخاب نمایید";
+$lang['Select at least one album'] = "حداقل یک دسته انتخاب نمایید";
 $lang['Select at least one picture'] = "حداقل یک عکس انتخاب نمایید";
 $lang['Select at least one user'] = "حداقل یک کاربر انتخاب نمایید";
@@ -166,5 +166,5 @@
 $lang['Status'] = "وضعیت";
 $lang['Statistics'] = "آمار";
-$lang['Storage category'] = "ذخیره دسته";
+$lang['Storage album'] = "ذخیره دسته";
 $lang['Sum of rates'] = "مجموع امتیازها";
 $lang['Tag "%s" already exists'] = "برچسب \"%s\" در سیستم موجود است";
@@ -183,29 +183,29 @@
 $lang['Version'] = "نسخه";
 $lang['Virtual categories movement'] = "انتقال دسته‌های مجازی";
-$lang['Virtual categories to move'] = "انتقال دسته‌های مجازی";
-$lang['Virtual category name'] = "نام دسته مجازی";
+$lang['Virtual albums to move'] = "انتقال دسته‌های مجازی";
+$lang['Virtual album name'] = "نام دسته مجازی";
 $lang['Webmaster cannot be deleted'] = "شما نمی‌توانید وب‌مستر(مدیر) را حذف کنید";
 $lang['You are running on development sources, no check possible.'] = "شما از نسخه development(توسعه) استفاده می‌کنید ؛ امکان چک کردن نیست";
 $lang['You cannot delete your account'] = "شما نمی‌توانید حساب خود را حذف کنید";
-$lang['You cannot move a category in its own sub category'] = "شما نمی‌توانید دسته والد را به زیردسته خودش انتقال دهید.";
+$lang['You cannot move an album in its own sub album'] = "شما نمی‌توانید دسته والد را به زیردسته خودش انتقال دهید.";
 $lang['You need to confirm deletion'] = "شما باید حذف را تایید کنید";
 $lang['add tags'] = "add tags";
 $lang['Adviser'] = "راهنما";
-$lang['associate to category'] = "پیوستن به دسته";
+$lang['Associate to album'] = "پیوستن به دسته";
 $lang['associate to group'] = "پیوستن به گروه";
 $lang['Authorized'] = "مجاز";
-$lang['Add a virtual category'] = "افزودن یک دسته مجازی";
-$lang['Authorize users to add comments on selected categories'] = "مجاز کردن کاربران برای افزودن نظر به دسته‌های انتخاب شده";
-$lang['The name of a category should not be empty'] = "نام دسته نمی‌تواند خالی باشد";
-$lang['Lock categories'] = "قفل‌کردن دسته‌ها";
-$lang['Private category'] = "دسته‌های شخصی";
-$lang['Public category'] = "دسته‌های عمومی";
+$lang['Add a virtual album'] = "افزودن یک دسته مجازی";
+$lang['Authorize users to add comments on selected albums'] = "مجاز کردن کاربران برای افزودن نظر به دسته‌های انتخاب شده";
+$lang['The name of an album must not be empty'] = "نام دسته نمی‌تواند خالی باشد";
+$lang['Lock albums'] = "قفل‌کردن دسته‌ها";
+$lang['Private'] = "دسته‌های شخصی";
+$lang['Public'] = "دسته‌های عمومی";
 $lang['Find a new representant by random'] = "پیداکردن یک نماینده جدید به صورت تصادفی";
 $lang['Public / Private'] = "عمومی / خصوصی";
-$lang['Manage authorizations for selected categories'] = "مدیریت مجوزهای دسته‌های انتخاب شده";
-$lang['Select uploadable categories'] = "انتخاب دسته‌های قابل آپلود";
-$lang['Virtual category added'] = "دسته مجازی افزوده شد";
-$lang['Virtual category deleted'] = "دسته مجازی حذف شد";
-$lang['Category'] = "دسته";
+$lang['Manage authorizations for selected albums'] = "مدیریت مجوزهای دسته‌های انتخاب شده";
+$lang['Select uploadable albums'] = "انتخاب دسته‌های قابل آپلود";
+$lang['Virtual album added'] = "دسته مجازی افزوده شد";
+$lang['Virtual album deleted'] = "دسته مجازی حذف شد";
+$lang['Album'] = "دسته";
 $lang['Access type'] = "نوع دسترسی";
 $lang['Comments'] = "نظرات";
@@ -219,9 +219,9 @@
 $lang['confirm'] = "تایید";
 $lang['Date'] = "تاریخ";
-$lang['delete category'] = "حذف دسته";
-$lang['dissociate from category'] = "جداکردن از دسته";
+$lang['delete album'] = "حذف دسته";
+$lang['Dissociate from album'] = "جداکردن از دسته";
 $lang['dissociate from group'] = "جدا کردن از گروه";
-$lang['edit category permissions'] = "ویرایش مجوزهای دسته";
-$lang['Category informations updated successfully.'] = "اطلاعات دسته با موفقیت به‌روزرسانی شد.";
+$lang['edit album permissions'] = "ویرایش مجوزهای دسته";
+$lang['Album updated successfully'] = "اطلاعات دسته با موفقیت به‌روزرسانی شد.";
 $lang['Authorize upload'] = "اجازه آپلود";
 $lang['elements per page'] = "تعداد آیتم‌ها در صفحه";
@@ -241,11 +241,11 @@
 
 $lang['High definition'] = "High definition";
-$lang['jump to category'] = "رفتن به این دسته";
+$lang['jump to album'] = "رفتن به این دسته";
 $lang['jump to image'] = "رفتن به این تصویر";
 $lang['leave'] = "بدون‌تغییر";
 $lang['Lock'] = "قفل کردن";
 $lang['Locked'] = "قفل";
-$lang['manage category elements'] = "مدیریت اشیا دسته";
-$lang['manage sub-categories'] = "مدیریت زیردسته‌ها";
+$lang['manage album elements'] = "مدیریت اشیا دسته";
+$lang['manage sub-albums'] = "مدیریت زیردسته‌ها";
 $lang['Manage'] = "مدیریت";
 $lang['maximum height'] = "حداکثر طول";
@@ -359,13 +359,13 @@
 $lang['status'] = "وضعیت";
 $lang['Directory'] = "دایرکتوری";
-$lang['sub-categories'] = "زیر دسته‌ها";
+$lang['sub-albums'] = "زیر دسته‌ها";
 $lang['synchronize metadata'] = "همگام سازی ابرداده(metadata)";
 $lang['target'] = "هدف";
 $lang['Thumbnail'] = "عکس‌ریزه(Thumbnail)";
 $lang['title'] = "عنوان";
-$lang['Categories management'] = "مدیریت دسته‌ها";
+$lang['Album list management'] = "مدیریت دسته‌ها";
 $lang['Piwigo configuration'] = "پیکربندی Piwigo";
 $lang['Piwigo administration'] = "مدیریت Piwigo";
-$lang['Edit a category'] = "ویرایش یک دسته";
+$lang['Edit album'] = "ویرایش یک دسته";
 $lang['Group management'] = "مدیریت گروه‌ها";
 $lang['User list'] = "لیست کاربران";
@@ -395,10 +395,10 @@
 $lang['Unlocked'] = "باز";
 $lang['unset'] = "unset";
-$lang['Update categories informations'] = "به روز رسانی اطلاعات دسته‌ها";
+$lang['Update albums informations'] = "به روز رسانی اطلاعات دسته‌ها";
 $lang['Update images informations'] = "به روز رسانی اطلاعات تصاویر";
 $lang['Synchronize'] = "همگام‌سازی";
-$lang['reduce to single existing categories'] = "reduce to single existing categories";
+$lang['reduce to single existing albums'] = "reduce to single existing categories";
 $lang['Choose an option'] = "انتخاب یک گزینه";
-$lang['display maximum informations (added categories and elements, deleted categories and elements)'] = "نمایش حداکثر اطلاعات (افزودن دسته‌ها و اشیا ، حذف دسته‌ها و اشیا)";
+$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = "نمایش حداکثر اطلاعات (افزودن دسته‌ها و اشیا ، حذف دسته‌ها و اشیا)";
 $lang['Piwigo version differs on the remote site'] = "نسخه Piwigo که اینجا نصب شده با نسخه Piwigo در ریموت سایت متفاویت است!";
 $lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = "نسخه فایل create_listing_file.php در ریموت سایت با نسخه Piwigo باید یکسان باشد.";
@@ -410,12 +410,12 @@
 $lang['File/directory read error'] = "خطا در خواندن فایل/دایرکتوری";
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = "این فایل یا دایرکتوری غیرقابل دسترسی است (این به خطا با این دلیل است که یا فایل موجود نیست و یا دسترسی به آن برای شما ممنوع است)";
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = "هر تصویری نیاز به یک عکس‌ریزه(thumbnail) دارد. عکس‌ریزه‌ها باید در زیر دایرکتوری \"thumbnail\" در دایرکتوری دسته باید وجود داشته باشد. نام‌فایل عکس‌ریزه(thumbnail) باید با پیشوندی که پیکربندی و فرمت آن باید مانند لیست زیر باشد :";
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = "هر تصویری نیاز به یک عکس‌ریزه(thumbnail) دارد. عکس‌ریزه‌ها باید در زیر دایرکتوری \"thumbnail\" در دایرکتوری دسته باید وجود داشته باشد. نام‌فایل عکس‌ریزه(thumbnail) باید با پیشوندی که پیکربندی و فرمت آن باید مانند لیست زیر باشد :";
 $lang['missing thumbnail'] = "عکس‌ریزه(thumbnail) موجود نیست.";
-$lang['categories deleted in the database'] = "دسته‌ها از پایگاه داده حذف شدند";
+$lang['albums deleted in the database'] = "دسته‌ها از پایگاه داده حذف شدند";
 $lang['elements deleted in the database'] = "اشیا از پایگاه داده حذف شدند";
 $lang['images candidates for metadata synchronization'] = "تصاویری که می‌خواهند ابرداده(metadata) خودر را همگام‌سازی کنند";
 $lang['elements informations synchronized with files metadata'] = "اشیائی کهاطلاعات آن‌ها با فایل‌های ابرداده(metadata) همگام‌سازی شدند";
 $lang['errors during synchronization'] = "خطا در همگام‌سازی";
-$lang['categories added in the database'] = "دسته‌ها در پایگاه‌داده اضافه شدند";
+$lang['albums added in the database'] = "دسته‌ها در پایگاه‌داده اضافه شدند";
 $lang['elements added in the database'] = "اشیا در پایگاه‌داده اضافه شدند";
 $lang['elements updated in the database'] = "اشیا در پایگاه‌داده بروز شدند";
@@ -442,5 +442,5 @@
 $lang['user_status_normal'] = "کاربر";
 $lang['user_status_webmaster'] = "وب‌مستر";
-$lang['Virtual category'] = "دسته مجازی";
+$lang['Virtual album'] = "دسته مجازی";
 $lang['Waiting'] = "در انتظار";
 $lang['default'] = "پیش‌فرض";
@@ -449,5 +449,5 @@
 $lang['Not linked elements'] = "اشیا نامرتبط";
 $lang['Specials'] = "منو ویژه";
-$lang['Files with same name in more than one physical category'] = "فایل‌هایی با نام یکسان در بیش‌از یک دسته فیزیکی موجود است!";
+$lang['Files with same name in more than one physical album'] = "فایل‌هایی با نام یکسان در بیش‌از یک دسته فیزیکی موجود است!";
 $lang['Overall'] = "دید کلی";
 $lang['Year'] = "سال";
@@ -467,8 +467,8 @@
 $lang['Send an information email to group members'] = "Send an information email to group members";
 $lang['Group'] = "'v,i";
-$lang['[%s] Come to visit the category %s'] = "[%s] درحال مشاهده دسته %s می‌باشد.";
+$lang['[%s] Visit album %s'] = "[%s] درحال مشاهده دسته %s می‌باشد.";
 $lang['Hello,'] = "سلام ،";
 $lang['See you soon.'] = "زود به گالری ما برگرد.";
-$lang['Come to discover the category:'] = "دسته‌های موجود:";
+$lang['Discover album:'] = "دسته‌های موجود:";
 $lang['Mail content'] = "محتویات ایمیل";
 $lang['none'] = "هیچ‌کدام";
@@ -594,5 +594,5 @@
 $lang['Optimizations have been completed with some errors.'] = "بهینه‌سازی پایان با وجود چند خطا تمام شد.";
 $lang['Modify information'] = "ویرایش اطلاعات";
-$lang['edit category informations'] = "ویرایش اطلاعات دسته";
+$lang['edit album'] = "ویرایش اطلاعات دسته";
 $lang['nothing'] = "هیچ‌چیز";
 $lang['overrides existing values with empty ones'] = "overrides existing values with empty ones";
@@ -600,5 +600,5 @@
 $lang['Manage image ranks'] = "مدیریت امتیاز تصاویر";
 $lang['Edit ranks'] = "ویرایش امتیازها";
-$lang['No element in this category'] = "هیچ چیزی در این دسته موجمود نیست.";
+$lang['No element in this album'] = "هیچ چیزی در این دسته موجمود نیست.";
 $lang['Images manual order was saved'] = "ترتیب دستی تصاویر ذخیره شد.";
 $lang['ranks'] = "امتیازها";
@@ -644,16 +644,16 @@
 
 $lang['Upload Photos'] = 'آپلود تصاویر';
-$lang['Drop into category'] = 'انداختن به داخل دسته';
+$lang['Drop into album'] = 'انداختن به داخل دسته';
 $lang['+ Add an upload box'] = 'اضافه کردن یک محل آپلودفایل جدید';
 $lang['Create the "%s" directory at the root of your Piwigo installation'] = 'ایجاد دایرکتوری "%s" در دایرکتوری اصلی Piwigo نصب شده شما.';
 $lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'دریافت مجوز نوشتن (chmod 777) در دایرکتوری "%s" در دایرکتوری اصلی Piwigo نصب شده‌ی شما';
-$lang['existing category'] = 'دسته‌ موجود است';
-$lang['create a new category'] = 'افزودن یک دسته جدید';
-$lang['Category name'] = 'نام دسته';
-$lang['Category "%s" has been added'] = 'دسته "%s" با موفقیت اضافه شد';
+$lang['existing album'] = 'دسته‌ موجود است';
+$lang['create a new album'] = 'افزودن یک دسته جدید';
+$lang['Album name'] = 'نام دسته';
+$lang['Album "%s" has been added'] = 'دسته "%s" با موفقیت اضافه شد';
 $lang['Uploaded Photos'] = 'تصاویر آپلود شد';
 $lang['%d photos uploaded'] = '%d تصویر آپلود شد';
 $lang['Privacy level set to "%s"'] = 'Privacy level set to "%s"';
-$lang['Category "%s" now contains %d photos'] = 'دسته "%s" شامل %d تصویر است';
+$lang['Album "%s" now contains %d photos'] = 'دسته "%s" شامل %d تصویر است';
 $lang['Manage this set of %d photos'] = 'Manage this set of %d photos';
 $lang['Select files'] = 'انتخاب فایل‌ها';