Index: trunk/language/vi_VN/admin.lang.php
===================================================================
--- trunk/language/vi_VN/admin.lang.php	(revision 8287)
+++ trunk/language/vi_VN/admin.lang.php	(revision 8288)
@@ -60,5 +60,4 @@
 $lang['Apply to sub-albums'] = 'Áp dụng cho các đề mục nhỏ';
 $lang['Associated'] = 'Được kết hợp';
-$lang['Association to categories'] = 'Kết hợp với đề mục';
 $lang['Batch management'] = 'Quản lý nhóm';
 $lang['Caddie management'] = 'Quản lý Caddie ';
@@ -66,5 +65,4 @@
 $lang['Albums authorized thanks to group associations'] = 'Đề mục đã được cho phép nhờ vào kết hợp nhóm';
 $lang['Album manual order was saved'] = 'Sắp xếp thủ công đề mục đã được lưu';
-$lang['Categories ordered alphanumerically'] = 'Đề mục được sắp xếp theo thứ tự A,B,C...';
 $lang['Album elements associated to the following albums: %s'] = 'Các thành phần của đề mụ đã được kết hợp với những đề mục sau đây: %s';
 $lang['Check for upgrade failed for unknown reasons.'] = 'Quá trình dò tìm phiên bản nâng cấp bị lỗi, không xác định được nguyên nhân.';
@@ -128,5 +126,4 @@
 $lang['Operating system'] = 'Hệ điều hành';
 $lang['Options'] = 'Tuỳ chọn';
-$lang['Order alphanumerically'] = 'Sắp xếp theo thứ tự A,B,C...';
 $lang['Other private albums'] = 'Các đề mục riêng tư khác';
 $lang['Page banner'] = 'Banner của trang';
@@ -182,5 +179,4 @@
 $lang['Validation'] = 'Xác nhận';
 $lang['Version'] = 'Phiên bản';
-$lang['Virtual categories movement'] = 'Di chuyển đề mục ảo';
 $lang['Virtual albums to move'] = 'Đề mục ảo cần di chuyển';
 $lang['Virtual album name'] = 'Tên đề mục ảo';
@@ -191,5 +187,4 @@
 $lang['You need to confirm deletion'] = 'Bạn cần được xác nhận để xoá';
 $lang['add tags'] = 'Thêm các tags';
-$lang['Adviser'] = 'Tư vấn';
 $lang['Associate to album'] = 'Kết hợp với đề mục';
 $lang['associate to group'] = 'kết hợp với nhóm người dùng';
@@ -207,5 +202,4 @@
 $lang['Virtual album added'] = 'Đề mục ảo đã được thêm vào';
 $lang['Virtual album deleted'] = 'Đề mục ảo đã bị xoá';
-$lang['Album'] = 'Đề mục';
 $lang['Access type'] = 'Kiểu truy cập';
 $lang['Comments'] = 'Lời bình';
@@ -622,5 +616,4 @@
 $lang['By rank'] = 'Theo hạng';
 $lang['Manual order'] = 'Sắp xếp thủ công';
-$lang['Note: photo deletion does not apply to photos added by synchronization. For photos added by synchronization, remove them from the filesystem and then perform another synchronization.'] = 'Lưu ý: việc xóa ảnh không áp dụng cho những ảnh đã được thêm vào thư viện bằng cách đồng bộ hóa dữ liệu. Đối với những ảnh đã được thêm vào do bằng cách đồng bộ hóa, thì hãy xóa chúng từ file hệ thống rồi cho chạy lại lệnh đồng bộ hóa khác.';
 $lang['Password is missing. Please enter the password.'] = 'Thiếu mật khẩu. Vui lòng nhập mật khẩu.';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Xác nhận mật khẩu bị thiếu. Vui lòng xác nhận lại mật khẩu đã chọn.';
@@ -636,5 +629,4 @@
 $lang['Themes'] = 'Giao diện';
 $lang['Instructions to use Piwigo'] = 'Hướng dẫn sử dụng Piwigo';
-$lang['Order alphanumerically reverse'] = 'Đảo ngược thứ tự a,b,c';
 $lang['Installed Themes'] = 'Giao diện đã được cài đặt';
 $lang['Add New Theme'] = 'Thêm một giao diện mới';
@@ -681,5 +673,4 @@
 $lang['Add write access to the "%s" directory'] = 'Gán quyền được ghi cho thư mục "%s"';
 $lang['Administration Home'] = 'Trang chủ của Quản trị';
-$lang['Categories ordered alphanumerically reverse'] = 'Đề mục được sắp xếp bởi vị trí đảo ngược thứ tự a,b,c';
 $lang['Change Admin Colors'] = 'Thay đổi màu trang Quản trị';
 $lang['Delete this theme'] = 'Xóa giao diện này';
Index: trunk/language/vi_VN/common.lang.php
===================================================================
--- trunk/language/vi_VN/common.lang.php	(revision 8287)
+++ trunk/language/vi_VN/common.lang.php	(revision 8288)
@@ -129,5 +129,4 @@
 $lang['add this image to your favorites'] = 'thêm hình này vào danh sách ưa thích của mình';
 $lang['Administration'] = 'Điều hành viên';
-$lang['Adviser mode enabled'] = 'Chế độ hỗ trợ được kích hoạt';
 $lang['all'] = 'tất cả';
 $lang['ascending'] = 'từ dưới lên';