Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 8292)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 8293)
@@ -60,5 +60,4 @@
 $lang['Apply to sub-albums'] = 'Примени на подкатегорије';
 $lang['Associated'] = 'Повезаност';
-$lang['Association to categories'] = 'Повезаност са категоријама';
 $lang['Batch management'] = 'Уређење';
 $lang['Caddie management'] = 'Контрола фиоке';
@@ -180,5 +179,4 @@
 $lang['Validation'] = 'Овера';
 $lang['Version'] = 'Верзија';
-$lang['Virtual categories movement'] = 'Премештање виртуелних категорија';
 $lang['Virtual albums to move'] = 'Виртуелне категорије за премештање';
 $lang['Virtual album name'] = 'Назив виртуелне категорије';
@@ -189,5 +187,4 @@
 $lang['You need to confirm deletion'] = 'Потврди брисање';
 $lang['add tags'] = 'додај ознаке';
-$lang['Adviser'] = 'Саветник';
 $lang['Associate to album'] = 'повежи са категоријом';
 $lang['associate to group'] = 'повежи са групом';
@@ -205,5 +202,4 @@
 $lang['Virtual album added'] = 'Виртуелна категорија додата';
 $lang['Virtual album deleted'] = 'Виртуелна категорија избрисана';
-$lang['Album'] = 'Категорија';
 $lang['Access type'] = 'Врста приступа';
 $lang['Comments'] = 'Коментари';
@@ -632,6 +628,4 @@
 $lang['Themes'] = 'Теме';
 $lang['Instructions to use Piwigo'] = 'Инструкције како да користите Piwigo';
-$lang['Order alphanumerically'] = 'Абецедни поредак';
-$lang['Order alphanumerically reverse'] = 'Обрнути абецедни поредак';
 $lang['Installed Themes'] = 'Инсталиране теме';
 $lang['Add New Theme'] = 'Додај нову тему';
@@ -677,6 +671,4 @@
 $lang['Add write access to the "%s" directory'] = 'Дозволи упис "%s" директоријуму';
 $lang['Administration Home'] = 'Почетна администрације';
-$lang['Categories ordered alphanumerically'] = 'Категорије поређане по абецедном реду';
-$lang['Categories ordered alphanumerically reverse'] = 'Категорије поређане по обрнутом абецедном реду';
 $lang['Change Admin Colors'] = 'Промени администраторске боје';
 $lang['Delete this theme'] = 'Обриши ову тему';
@@ -749,6 +741,4 @@
 $lang['Order of menubar items has been updated successfully.'] = ' Поредак елемената у избору је успешно ажуриран.';
 $lang['Menu Management'] = 'Контрола избора';
-// missing translations  18.10.2010!
-$lang['Note: photo deletion does not apply to photos added by synchronization. For photos added by synchronization, remove them from the filesystem and then perform another synchronization.'] = 'Напомена: брисање фотографија се не односи на додате слике уз помоћ усаглашавања. За слике које су додате уз помоћ усаглашавања, да их уклоните са сервера обришите их локално, а затим обавите друго усаглашавање.';
 $lang['Who can see this photo?'] = 'Ко може да види ову слику?';
 $lang['This theme was not designed to be directly activated'] = 'Ова тема није пројектована да може бити непосредно активирана';
Index: /trunk/language/sr_RS/common.lang.php
===================================================================
--- /trunk/language/sr_RS/common.lang.php	(revision 8292)
+++ /trunk/language/sr_RS/common.lang.php	(revision 8293)
@@ -130,5 +130,4 @@
 $lang['add this image to your favorites'] = 'додај ову слику у омиљене';
 $lang['Administration'] = 'Администрација';
-$lang['Adviser mode enabled'] = 'Саветнички мод омогућен';
 $lang['all'] = 'све';
 $lang['ascending'] = 'узлазно';