Index: extensions/FacebookPlug/Plugin/admin.config.php
===================================================================
--- extensions/FacebookPlug/Plugin/admin.config.php	(revision 8296)
+++ extensions/FacebookPlug/Plugin/admin.config.php	(revision 8298)
@@ -93,4 +93,5 @@
     case 'advanced' :
     {
+      $conf['fbp']['facebook_app_id'] = $_POST['FBP_FACEBOOK_APP_ID'];
       $conf['fbp']['async_script'] = empty($_POST['FBP_ASYNC_SCRIPT']) ? false : true;
       $conf['fbp']['picture_url_type'] = $picture_url_type[$_POST['FBP_PICTURE_URL_TYPE']];
@@ -172,5 +173,6 @@
       $page['tab'],
       array(
-        'FBP_ASYNC_SCRIPT'=> ($conf['fbp']['async_script'] ? 'checked="checked"' : ''),
+        'FBP_FACEBOOK_APP_ID' => $conf['fbp']['facebook_app_id'],
+        'FBP_ASYNC_SCRIPT' => ($conf['fbp']['async_script'] ? 'checked="checked"' : ''),
         'FBP_PICTURE_URL_TYPE_OPTIONS' => $picture_url_type_l10n,
         'FBP_PICTURE_URL_TYPE_OPTIONS_SELECTED' => array_search($conf['fbp']['picture_url_type'], $picture_url_type),
Index: extensions/FacebookPlug/Plugin/include/conf.inc.php
===================================================================
--- extensions/FacebookPlug/Plugin/include/conf.inc.php	(revision 8296)
+++ extensions/FacebookPlug/Plugin/include/conf.inc.php	(revision 8298)
@@ -30,4 +30,5 @@
   array
   (
+    'facebook_app_id' => null,
     'async_script' => false,
     'picture_url_type' => 'page',
@@ -68,5 +69,5 @@
   (
     'enabled' => false,
-    'numposts' => 5,
+    'numposts' => 3,
     'css' => null,
     'title' => null,
Index: extensions/FacebookPlug/Plugin/include/header.inc.php
===================================================================
--- extensions/FacebookPlug/Plugin/include/header.inc.php	(revision 8296)
+++ extensions/FacebookPlug/Plugin/include/header.inc.php	(revision 8298)
@@ -26,6 +26,4 @@
 function fbp_header($content, &$smarty)
 {
-  global $conf;
-
   // replace tag html
   $search = '<html ';
@@ -42,10 +40,10 @@
 function fbp_init()
 {
-  global $template, $user, $page, $conf, $picture;
+  global $template, $conf, $user;
 
   // set prefilter
   $template->set_prefilter('header', 'fbp_header');
 
-  $template->assign('FACEBOOK_APP_ID', FACEBOOK_APP_ID);
+  $template->assign('FACEBOOK_APP_ID', (is_numeric($conf['fbp']['facebook_app_id']) ? $conf['fbp']['facebook_app_id'] : FACEBOOK_APP_ID));
   // define language
   $template->assign('LANGUAGE', $user['language']);
Index: extensions/FacebookPlug/Plugin/language/en_UK/plugin.lang.php
===================================================================
--- extensions/FacebookPlug/Plugin/language/en_UK/plugin.lang.php	(revision 8296)
+++ extensions/FacebookPlug/Plugin/language/en_UK/plugin.lang.php	(revision 8298)
@@ -62,5 +62,5 @@
 $lang['Reverse'] = 'Reverse';
 $lang['Publish feed'] = 'Publish feed';
-//~ $lang[''] = '';
+$lang['Facebook application identifient'] = 'Facebook application identifient';
 
 ?>
Index: extensions/FacebookPlug/Plugin/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/FacebookPlug/Plugin/language/fr_FR/plugin.lang.php	(revision 8296)
+++ extensions/FacebookPlug/Plugin/language/fr_FR/plugin.lang.php	(revision 8298)
@@ -62,4 +62,5 @@
 $lang['Reverse'] = 'Ordre inversé';
 $lang['Publish feed'] = 'Publier les commentaires';
+$lang['Facebook application identifient'] = 'Identifiant de l\'application Facebook';
 
 ?>
Index: extensions/FacebookPlug/Plugin/tpl/admin.config.tpl
===================================================================
--- extensions/FacebookPlug/Plugin/tpl/admin.config.tpl	(revision 8296)
+++ extensions/FacebookPlug/Plugin/tpl/admin.config.tpl	(revision 8298)
@@ -169,4 +169,10 @@
 <fieldset>
   <ul>
+      <li>
+      <label>
+        <span class="property">{'Facebook application identifient'|@translate}</span>
+        <input type="text" size="15" name="FBP_FACEBOOK_APP_ID" value="{$advanced.FBP_FACEBOOK_APP_ID}" />
+      </label>
+    </li>
 {*    <li>
       <label>
@@ -174,6 +180,5 @@
         <input type="checkbox" name="FBP_ASYNC_SCRIPT" {$advanced.FBP_ASYNC_SCRIPT} />
       </label>
-    </li>
-*}
+    </li>*}
     <li>
       <label>