Index: trunk/themes/default/template/picture.tpl
===================================================================
--- trunk/themes/default/template/picture.tpl	(revision 8269)
+++ trunk/themes/default/template/picture.tpl	(revision 8299)
@@ -61,5 +61,5 @@
 {/if}
 {if isset($U_SET_AS_REPRESENTATIVE)}
-		<a href="{$U_SET_AS_REPRESENTATIVE}" title="{'set as category representative'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+		<a href="{$U_SET_AS_REPRESENTATIVE}" title="{'set as album representative'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
 			<span class="pwg-icon pwg-icon-representative">&nbsp;</span><span class="pwg-button-text">{'representative'|@translate}</span>
 		</a>
@@ -71,5 +71,5 @@
 {/if}
 {if isset($U_CADDIE)}{*caddie management BEGIN*}
-<script type="text/javascript">
+{footer_script}
 {literal}function addToCadie(aElement, rootUrl, id)
 {
@@ -86,5 +86,5 @@
 	);
 }{/literal}
-</script>
+{/footer_script}
 		<a href="{$U_CADDIE}" onclick="addToCadie(this, '{$ROOT_URL|@escape:'javascript'}', {$current.id}); return false;" title="{'add to caddie'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
 			<span class="pwg-icon pwg-icon-caddie-add">&nbsp;</span><span class="pwg-button-text">{'caddie'|@translate}</span>
@@ -242,5 +242,5 @@
 		<td class="value"> 
 {combine_script id='core.scripts' load='async' path='themes/default/js/scripts.js'}
-<script type="text/javascript">
+{footer_script}
 {literal}function setPrivacyLevel(selectElement, rootUrl, id, level)
 {
@@ -256,5 +256,5 @@
 	);
 }{/literal}
-</script>
+{/footer_script}
 	<select onchange="setPrivacyLevel(this, '{$ROOT_URL|@escape:'javascript'}', {$current.id}, this.options[selectedIndex].value)">
 		{foreach from=$available_permission_levels item=label key=level}
Index: trunk/themes/default/template/picture_nav_buttons.tpl
===================================================================
--- trunk/themes/default/template/picture_nav_buttons.tpl	(revision 8269)
+++ trunk/themes/default/template/picture_nav_buttons.tpl	(revision 8299)
@@ -85,5 +85,5 @@
 </div>
 
-<script type="text/javascript">// <![CDATA[ {literal}
+{footer_script}{literal}
 document.onkeydown = function(e)
 {
@@ -98,24 +98,23 @@
 {/literal}
 {if isset($next)}
-	case 63235: case 39: if (e.ctrlKey || docElem.scrollLeft==docElem.scrollWidth-docElem.clientWidth)url="{$next.U_IMG|@escape:jasvascript}";  break;
+	case 63235: case 39: if (e.ctrlKey || docElem.scrollLeft==docElem.scrollWidth-docElem.clientWidth)url="{$next.U_IMG}";  break;
 {/if}
 {if isset($previous)}
-	case 63234: case 37: if (e.ctrlKey || docElem.scrollLeft==0)url="{$previous.U_IMG|@escape:jasvascript}"; break;
+	case 63234: case 37: if (e.ctrlKey || docElem.scrollLeft==0)url="{$previous.U_IMG}"; break;
 {/if}
 {if isset($first)}
-	/*Home*/case 36: if (e.ctrlKey)url="{$first.U_IMG|@escape:jasvascript}"; break;
+	/*Home*/case 36: if (e.ctrlKey)url="{$first.U_IMG}"; break;
 {/if}
 {if isset($last)}
-	/*End*/case 35: if (e.ctrlKey)url="{$last.U_IMG|@escape:jasvascript}"; break;
+	/*End*/case 35: if (e.ctrlKey)url="{$last.U_IMG}"; break;
 {/if}
 {if isset($U_UP) and !isset($slideshow)}
-	/*Up*/case 38: if (e.ctrlKey)url="{$U_UP|@escape:jasvascript}"; break;
+	/*Up*/case 38: if (e.ctrlKey)url="{$U_UP}"; break;
 {/if}
-
 {if isset($slideshow.U_START_PLAY)}
-	/*Pause*/case 32: url="{$slideshow.U_START_PLAY|@escape:jasvascript}"; break;
+	/*Pause*/case 32: url="{$slideshow.U_START_PLAY}"; break;
 {/if}
 {if isset($slideshow.U_STOP_PLAY)}
-	/*Play*/case 32: url="{$slideshow.U_STOP_PLAY|@escape:jasvascript}"; break;
+	/*Play*/case 32: url="{$slideshow.U_STOP_PLAY}"; break;
 {/if}
 	}
@@ -123,3 +122,3 @@
 	return true;
 }
-// ]]></script>
+{/footer_script}
Index: trunk/themes/default/theme.css
===================================================================
--- trunk/themes/default/theme.css	(revision 8269)
+++ trunk/themes/default/theme.css	(revision 8299)
@@ -508,9 +508,9 @@
 }
 
-FORM.filter FIELDSET UL {
+FORM.filter UL {
   margin: 0;
 }
-FORM.filter FIELDSET UL,
-FORM.filter FIELDSET LABEL {
+FORM.filter UL,
+FORM.filter LABEL {
 	display: block;
 	float: left;
@@ -519,15 +519,15 @@
 }
 
-FORM.filter FIELDSET LI {
+FORM.filter LI {
 	list-style: none;
 	margin-bottom: 0.5em;
 }
 
-FORM.filter FIELDSET LI LABEL {
+FORM.filter LI LABEL {
 	display: inline;
 	float: none;
 }
 
-FORM.filter FIELDSET UL.tagSelection LABEL {
+FORM.filter UL.tagSelection LABEL {
 	display: inline;
 	float: none;
@@ -536,8 +536,8 @@
 
 /* cannot use FIELDSET>LABEL because of IE<=6 */
-FORM.filter FIELDSET LABEL INPUT,
-FORM.filter FIELDSET LABEL SELECT,
-FORM.filter FIELDSET LABEL SPAN,
-FORM.filter FIELDSET LABEL TEXTAREA {
+FORM.filter LABEL INPUT,
+FORM.filter LABEL SELECT,
+FORM.filter LABEL SPAN,
+FORM.filter LABEL TEXTAREA {
   display: block;
   margin: 0.5em 0;
@@ -546,7 +546,7 @@
 FORM.filter FIELDSET * LABEL SELECT,
 FORM.filter FIELDSET * LABEL TEXTAREA,
-FORM.filter FIELDSET LABEL SPAN INPUT,
-FORM.filter FIELDSET LABEL SPAN SELECT,
-FORM.filter FIELDSET LABEL SPAN TEXTAREA {
+FORM.filter LABEL SPAN INPUT,
+FORM.filter LABEL SPAN SELECT,
+FORM.filter LABEL SPAN TEXTAREA {
 	display: inline;
 	vertical-align: top;
@@ -554,5 +554,5 @@
 }
 
-FORM.filter FIELDSET UL.tagSelection LI LABEL INPUT {
+FORM.filter UL.tagSelection LI LABEL INPUT {
 	margin-right:0;
 }