Index: /trunk/themes/Sylvia/theme.css
===================================================================
--- /trunk/themes/Sylvia/theme.css	(revision 8305)
+++ /trunk/themes/Sylvia/theme.css	(revision 8306)
@@ -6,5 +6,5 @@
 }
 #comments .thumbnailCategories hr {display:none;}
-#comments form.filter input[type="submit"] { margin-top:1.8em; }
+#comments .filter input[type="submit"] { margin-top:1.8em; }
 /*  Sylvia Theme is close to the Roma Admin theme */
 BODY, H1, H3, DT, INPUT.rateButtonSelected, H2, #menubar DT { 
@@ -191,5 +191,5 @@
 	margin:0; 
 }
-.content ul.thumbnailCategories li {
+.content .thumbnailCategories li {
 	background:#222 url(images/cat_bottom-right.gif) no-repeat scroll right bottom; 
 	width:49%; 
@@ -232,5 +232,5 @@
 	display: block; 
 }
-.content ul.thumbnailCategories li:hover { 
+.content .thumbnailCategories li:hover { 
 	background-color:#111; 
 } 
@@ -293,14 +293,14 @@
 	color:#999; 
 }
-UL.thumbnails SPAN.wrap2 {
+.thumbnails .wrap2 {
 	border: 1px solid #666;	/* thumbnails border color and style */
 	border-radius: 4px 4px;	/* round corners with CSS3 compliant browsers */ 
 }
-UL.thumbnails SPAN.wrap2:hover { 
+.thumbnails .wrap2:hover { 
 	color:#666;
 	background-color:#111; 
 	border:1px solid #ff3363;	/* thumbnails border color when mouse cursor is over it */ 
 }
-#comments ul.actions li, #comments ul.actions li:hover { 
+#comments .actions li, #comments .actions li:hover { 
 	background:transparent none;
  	margin-right: 22px;
@@ -402,5 +402,5 @@
   color: #666;
 }
-#theCommentsPage .content ul.thumbnailCategories li,
+#theCommentsPage .content .thumbnailCategories li,
 #theCommentsPage .content .thumbnailCategory ,
 #theCommentsPage .content .thumbnailCategory .description,
@@ -419,5 +419,5 @@
 	background-color: #111; 
 }
-#theCommentsPage .content ul.thumbnailCategories li:hover { 
+#theCommentsPage .content .thumbnailCategories li:hover { 
 	background-color: transparent; 
 }
Index: /trunk/themes/clear/theme.css
===================================================================
--- /trunk/themes/clear/theme.css	(revision 8305)
+++ /trunk/themes/clear/theme.css	(revision 8306)
@@ -28,4 +28,5 @@
 }
 
+/*I think this rule is never used*/
 .content UL.thumbnail IMG {
     border: 1px solid #a0a0a0;
@@ -37,11 +38,11 @@
 }
 
-UL.thumbnails SPAN.wrap2 {
+.thumbnails .wrap2 {
   border: 1px solid #aaaaaa;	/* thumbnails border color and style */
 }
 
-UL.thumbnails SPAN.wrap2:hover,
-.content UL.thumbnailCategories .thumbnailCategory:hover,
-.content UL.thumbnailCategories .thumbnailCategory:hover A {
+.thumbnails .wrap2:hover,
+.content .thumbnailCategories .thumbnailCategory:hover,
+.content .thumbnailCategories .thumbnailCategory:hover A {
   background-color: #faebd7;
   border-color: yellow;		/* thumbnails border color when mouse cursor is over it */
Index: /trunk/themes/dark/theme.css
===================================================================
--- /trunk/themes/dark/theme.css	(revision 8305)
+++ /trunk/themes/dark/theme.css	(revision 8306)
@@ -52,11 +52,11 @@
 }
 
-UL.thumbnails SPAN.wrap2 {
+.thumbnails .wrap2 {
 	border: 1px solid #aaaaaa;	/* thumbnails border color and style */
 }
 
-UL.thumbnails SPAN.wrap2:hover,
-.content UL.thumbnailCategories .thumbnailCategory:hover,
-.content UL.thumbnailCategories .thumbnailCategory:hover A {
+.thumbnails .wrap2:hover,
+.content .thumbnailCategories .thumbnailCategory:hover,
+.content .thumbnailCategories .thumbnailCategory:hover A {
 	background-color: #faebd7;
 	border-color: yellow;	/* thumbnails border color when mouse cursor is over it */
Index: /trunk/themes/default/fix-ie5-ie6.css
===================================================================
--- /trunk/themes/default/fix-ie5-ie6.css	(revision 8305)
+++ /trunk/themes/default/fix-ie5-ie6.css	(revision 8306)
@@ -10,11 +10,11 @@
 
 /* fix IE with another layout for thumbnails */
-UL.thumbnails SPAN.wrap2 {
+.thumbnails .wrap2 {
   display: block;
   position: relative;
   text-align: left;
 }
-UL.thumbnails SPAN.wrap2 A,
-UL.thumbnails SPAN.wrap2 SPAN {
+.thumbnails .wrap2 A,
+.thumbnails .wrap2 SPAN {
   overflow: visible;
   position: absolute;
@@ -23,5 +23,5 @@
 }
 
-UL.thumbnails IMG.thumbnail {
+.thumbnails IMG.thumbnail {
   position: relative;
   top: -50%;
@@ -40,5 +40,5 @@
 
 /* fix category thumbnails on main page */
-.content UL.thumbnailCategories {
+.content .thumbnailCategories {
   width: 99%;	/* buggy IE box model */
 }
Index: /trunk/themes/default/fix-ie7.css
===================================================================
--- /trunk/themes/default/fix-ie7.css	(revision 8305)
+++ /trunk/themes/default/fix-ie7.css	(revision 8306)
@@ -1,11 +1,11 @@
 /* fix IE with another layout for thumbnails */
 
-UL.thumbnails SPAN.wrap2 {
+.thumbnails .wrap2 {
   display: block;
   position: relative;
   text-align: left;
 }
-UL.thumbnails SPAN.wrap2 A,
-UL.thumbnails SPAN.wrap2 SPAN {
+.thumbnails .wrap2 A,
+.thumbnails .wrap2 SPAN {
   overflow: visible;
   position: absolute;
@@ -14,5 +14,5 @@
 }
 
-UL.thumbnails IMG.thumbnail {
+.thumbnails IMG.thumbnail {
   position: relative;
   top: -50%;   
Index: /trunk/themes/default/print.css
===================================================================
--- /trunk/themes/default/print.css	(revision 8305)
+++ /trunk/themes/default/print.css	(revision 8306)
@@ -1,4 +1,4 @@
 @media print {
-#menubar, .content .navigationBar, UL.categoryActions, .content .calendarViews, .calendarBar,
+#menubar, .content .navigationBar, .categoryActions, .content .calendarViews, .calendarBar,
 #imageToolBar, .navThumb, #addComment {
 	display: none;
Index: /trunk/themes/default/theme.css
===================================================================
--- /trunk/themes/default/theme.css	(revision 8305)
+++ /trunk/themes/default/theme.css	(revision 8306)
@@ -123,5 +123,5 @@
 
 /* actions */
-UL.categoryActions {
+.categoryActions {
 	margin: 0 2px;
 	width: auto;
@@ -133,5 +133,5 @@
 }
 
-UL.categoryActions LI {
+.categoryActions LI {
 	display: inline;
 }
@@ -216,5 +216,5 @@
 
 /* Category thumbnails on main page, CSS code inspired from MOD subcatify */
-UL.thumbnailCategories {
+.thumbnailCategories {
 	margin: 0;
 	padding: 0;
@@ -224,5 +224,5 @@
 }
 
-UL.thumbnailCategories LI {
+.thumbnailCategories LI {
 	margin:0;
 	padding:0;
@@ -272,5 +272,5 @@
 
 /* Thumbnails */
-UL.thumbnails SPAN.thumbLegend {
+.thumbnails SPAN.thumbLegend {
 	font-size: 90%;
 	overflow: hidden;/* oversized legend is clipped */
@@ -278,5 +278,5 @@
 
 /* Thumbnail "elastic" layout */
-UL.thumbnails {
+.thumbnails {
 	margin: 0;
 	padding: 0;
@@ -284,7 +284,7 @@
 	text-align: center;	/* to center the whole collection in .content */
 }
-UL.thumbnails LI { display: inline }
-
-UL.thumbnails SPAN.wrap1 {
+.thumbnails LI { display: inline }
+
+.thumbnails .wrap1 {
 	margin: 0 5px 5px 5px;
 	display: table-cell; display: inline-table;
@@ -293,5 +293,5 @@
 	text-align: center;		/* to center the thumbnail and legend in Geko/Opera */
 }
-UL.thumbnails SPAN.wrap2 {
+.thumbnails .wrap2 {
 	margin: 0;			/* important reset the margins */
 	display: table-cell;/* block prevents vertical-align here */
@@ -301,10 +301,10 @@
 	-webkit-border-radius: 4px; /* Safari webkit project */
 }
-UL.thumbnails SPAN.wrap2 A,
-UL.thumbnails LABEL {
+.thumbnails .wrap2 A,
+.thumbnails LABEL {
 	display: block;
 	border-bottom: 0;
 }
-UL.thumbnails IMG {
+.thumbnails IMG {
 	margin-bottom: -4px;  /* why ??? something wrong with Geko and Opera ignored by IE6*/
 }
@@ -508,9 +508,9 @@
 }
 
-FORM.filter UL {
+.filter UL {
   margin: 0;
 }
-FORM.filter UL,
-FORM.filter LABEL {
+.filter UL,
+.filter LABEL {
 	display: block;
 	float: left;
@@ -519,15 +519,15 @@
 }
 
-FORM.filter LI {
+.filter LI {
 	list-style: none;
 	margin-bottom: 0.5em;
 }
 
-FORM.filter LI LABEL {
+.filter LI LABEL {
 	display: inline;
 	float: none;
 }
 
-FORM.filter UL.tagSelection LABEL {
+.filter .tagSelection LABEL {
 	display: inline;
 	float: none;
@@ -536,17 +536,17 @@
 
 /* cannot use FIELDSET>LABEL because of IE<=6 */
-FORM.filter LABEL INPUT,
-FORM.filter LABEL SELECT,
-FORM.filter LABEL SPAN,
-FORM.filter LABEL TEXTAREA {
+.filter LABEL INPUT,
+.filter LABEL SELECT,
+.filter LABEL SPAN,
+.filter LABEL TEXTAREA {
   display: block;
   margin: 0.5em 0;
 }
-FORM.filter FIELDSET * LABEL INPUT,
-FORM.filter FIELDSET * LABEL SELECT,
-FORM.filter FIELDSET * LABEL TEXTAREA,
-FORM.filter LABEL SPAN INPUT,
-FORM.filter LABEL SPAN SELECT,
-FORM.filter LABEL SPAN TEXTAREA {
+.filter FIELDSET * LABEL INPUT,
+.filter FIELDSET * LABEL SELECT,
+.filter FIELDSET * LABEL TEXTAREA,
+.filter LABEL SPAN INPUT,
+.filter LABEL SPAN SELECT,
+.filter LABEL SPAN TEXTAREA {
 	display: inline;
 	vertical-align: top;
@@ -554,14 +554,14 @@
 }
 
-FORM.filter UL.tagSelection LI LABEL INPUT {
+.filter .tagSelection LI LABEL INPUT {
 	margin-right:0;
 }
 
 
-FORM.filter INPUT[type="submit"] {
+.filter INPUT[type="submit"] {
 	margin-top: 1em;
 }
 
-FORM.properties UL {
+.properties UL {
 	list-style-type: none;
 	margin: 0;
@@ -569,5 +569,5 @@
 }
 
-FORM.properties LI {
+.properties LI {
 	margin-bottom: 0.5em;
 	padding: 0;
@@ -576,5 +576,5 @@
 }
 
-FORM.properties SPAN.property {
+.properties SPAN.property {
 	font-weight: bold;
 	float: left;
@@ -586,16 +586,16 @@
 
 /* button tools */
-UL.actions {
+.actions {
 	text-indent: 0;
 	list-style: none;
 }
-UL.actions LI {
+.actions LI {
 	display: inline;
 }
-UL.actions A, UL.actions IMG {
+.actions A, .actions IMG {
 	border: none;
 }
 
-UL.tagSelection {
+.tagSelection {
 	width: 99%;
 	margin: 1em 0;
@@ -603,5 +603,5 @@
 }
 
-UL.tagSelection LI {
+.tagSelection LI {
 	display:inline-block;
 	width:150px!important;
@@ -675,5 +675,5 @@
 #theHeader {text-align: center;}
 
-#comments UL.thumbnailCategories LI { width:99%; }
+#comments .thumbnailCategories LI { width:99%; }
 
 /* jQuery datepicker */
@@ -683,11 +683,11 @@
 
 /* Set some sizes according to your maximum thumbnail width and height */
-UL.thumbnails SPAN,
-UL.thumbnails SPAN.wrap2 A,
-UL.thumbnails LABEL,
+.thumbnails SPAN,
+.thumbnails .wrap2 A,
+.thumbnails LABEL,
 .thumbnailCategory DIV.illustration {
   width: 140px;      /* max thumbnail width + 2px */
 }
-UL.thumbnails SPAN.wrap2,
+.thumbnails .wrap2,
 .content .thumbnailCategory .description {
   height: 140px;    /* max thumbnail height + 2px */
@@ -696,10 +696,10 @@
 
 /* Category thumbnails on main page */
-UL.thumbnailCategories LI {
+.thumbnailCategories LI {
   width: 49.7%;    /* 49.7% for 2 per line, 33.2% for 3 per line*/
 }
 
 /* Set defaults for thumbnails legend */
-UL.thumbnails SPAN.thumbLegend {
+.thumbnails SPAN.thumbLegend {
   display: block;  /* display: none; if you don't want legend */
   height: 4em;    /* legend height (don't set auto to be Gecko friendly)*/