Index: extensions/WiredForSound/language/lv_LV/description.txt
===================================================================
--- extensions/WiredForSound/language/lv_LV/description.txt	(revision 8313)
+++ extensions/WiredForSound/language/lv_LV/description.txt	(revision 8313)
@@ -0,0 +1,1 @@
+Piesaistīt skaņu jūsu galerijai
Index: extensions/WiredForSound/language/lv_LV/index.php
===================================================================
--- extensions/WiredForSound/language/lv_LV/index.php	(revision 8313)
+++ extensions/WiredForSound/language/lv_LV/index.php	(revision 8313)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/WiredForSound/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/WiredForSound/language/lv_LV/plugin.lang.php	(revision 8313)
+++ extensions/WiredForSound/language/lv_LV/plugin.lang.php	(revision 8313)
@@ -0,0 +1,38 @@
+<?php
+
+$lang['wfs_associate_category'] = 'Piesaistīt skaņu šai kategorijai';
+$lang['wfs_associate_image'] = 'Piesaistīt skaņu šim attēlam';
+
+$lang['wfs_associate_sound'] = 'Skaņa piemeklēta - Pievienot skaņu';
+$lang['wfs_actual_file'] = 'Tekošais sasaistītasis fails';
+$lang['wfs_path'] = 'Ceļš uz mapi';
+$lang['wfs_change_path'] = 'Mainīt mapi';
+$lang['wfs_show_default_path'] = 'Parādīt mapi pēc noklusējuma';
+$lang['wfs_file'] = 'Fails';
+$lang['wfs_volume'] = 'Sakļums';
+$lang['wfs_apply_only_this_cat'] = 'Sasaistīt tikai tekošās kategorijas ietvarost';
+$lang['wfs_associate_to_cat'] = 'Saite uz tekošo kategoriju';
+$lang['wfs_associate_to_pic'] = 'Saite uz attēlu';
+$lang['wfs_delete'] = 'Atsaistīt';
+$lang['wfs_back_cat'] = 'Atpakaļ uz kategoriju';
+$lang['wfs_back_pic'] = 'Atpakaļ uz attēlu';
+$lang['wfs_optional'] = 'izvēles';
+
+$lang['wfs_no_mp3'] = 'Šajā mapē nav izmantojamu skaņu.';
+$lang['wfs_no_path'] = 'Mape nav atraste.';
+$lang['wfs_only_this_cat'] = 'Tikai tekošā kategorija';
+$lang['wfs_all_cat'] = 'Visas kategorijas';
+
+$lang['wfs_conf_saved'] = 'Konfigurācija tika saglabāta.';
+
+$lang['wfs_configuration'] = 'Konfigurācija';
+$lang['wfs_default_directory'] = 'Mape pēc noklusēšanas';
+$lang['wfs_default_volume'] = 'Skaļums pēc noklusēšanas';
+$lang['wfs_player_width'] = 'Atskaņotāja platums';
+$lang['wfs_litle'] = 'Mazs';
+$lang['wfs_medium'] = 'Vidējs';
+$lang['wfs_large'] = 'Liels';
+$lang['wfs_autostart'] = 'Autostarts';
+$lang['wfs_loop'] = 'Autoatkārtojums';
+
+?>